/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

/*****************************************************************************/
/* This is an automatically generated file. If you're not                    */
/* nsStrictTransportSecurityService.cpp, you shouldn't be #including it.     */
/*****************************************************************************/

#include <prtypes.h>

class nsSTSPreload
{
  public:
    const char *mHost;
    const bool mIncludeSubdomains;
};

static const nsSTSPreload kSTSPreloadList[] = {
  { "accounts.google.com", true },
  { "aladdinschools.appspot.com", false },
  { "alpha.irccloud.com", false },
  { "api.recurly.com", true },
  { "apis.google.com", true },
  { "app.recurly.com", true },
  { "appengine.google.com", false },
  { "arivo.com.br", true },
  { "betnet.fr", true },
  { "bigshinylock.minazo.net", true },
  { "blog.torproject.org", true },
  { "braintreegateway.com", true },
  { "braintreepayments.com", false },
  { "browserid.org", true },
  { "business.medbank.com.mt", true },
  { "cert.se", true },
  { "check.torproject.org", true },
  { "checkout.google.com", true },
  { "chrome.google.com", true },
  { "chromiumcodereview.appspot.com", true },
  { "cloudsecurityalliance.org", true },
  { "codereview.appspot.com", true },
  { "crate.io", true },
  { "crypto.cat", true },
  { "crypto.is", true },
  { "developer.mydigipass.com", false },
  { "docs.google.com", true },
  { "download.jitsi.org", false },
  { "drive.google.com", true },
  { "dropcam.com", false },
  { "ebanking.indovinabank.com.vn", true },
  { "emailprivacytester.com", false },
  { "encrypted.google.com", true },
  { "entropia.de", false },
  { "epoxate.com", false },
  { "factor.cc", false },
  { "gmail.com", false },
  { "googlemail.com", false },
  { "googleplex.com", true },
  { "greplin.com", false },
  { "grepular.com", true },
  { "groups.google.com", true },
  { "health.google.com", true },
  { "hostedtalkgadget.google.com", true },
  { "howrandom.org", true },
  { "id.mayfirst.org", false },
  { "irccloud.com", false },
  { "jitsi.org", false },
  { "jottit.com", true },
  { "keyerror.com", true },
  { "kyps.net", false },
  { "lastpass.com", false },
  { "ledgerscope.net", false },
  { "linx.net", true },
  { "lists.mayfirst.org", false },
  { "logentries.com", false },
  { "login.persona.org", true },
  { "login.sapo.pt", true },
  { "luneta.nearbuysystems.com", true },
  { "mail.google.com", true },
  { "market.android.com", true },
  { "mattmccutchen.net", true },
  { "members.mayfirst.org", false },
  { "mydigipass.com", false },
  { "neg9.org", false },
  { "neonisi.com", false },
  { "ottospora.nl", true },
  { "passwd.io", true },
  { "piratenlogin.de", true },
  { "pixi.me", true },
  { "plus.google.com", true },
  { "profiles.google.com", true },
  { "riseup.net", true },
  { "romab.com", true },
  { "sandbox.mydigipass.com", false },
  { "script.google.com", true },
  { "shops.neonisi.com", true },
  { "simon.butcher.name", true },
  { "sites.google.com", true },
  { "sol.io", true },
  { "spreadsheets.google.com", true },
  { "squareup.com", false },
  { "ssl.google-analytics.com", true },
  { "stripe.com", true },
  { "sunshinepress.org", true },
  { "support.mayfirst.org", false },
  { "talk.google.com", true },
  { "talkgadget.google.com", true },
  { "torproject.org", false },
  { "ubertt.org", true },
  { "uprotect.it", true },
  { "www.apollo-auto.com", true },
  { "www.braintreepayments.com", false },
  { "www.cueup.com", true },
  { "www.developer.mydigipass.com", false },
  { "www.dropcam.com", false },
  { "www.elanex.biz", false },
  { "www.entropia.de", false },
  { "www.gmail.com", false },
  { "www.googlemail.com", false },
  { "www.greplin.com", false },
  { "www.irccloud.com", false },
  { "www.jitsi.org", false },
  { "www.kyps.net", false },
  { "www.lastpass.com", false },
  { "www.ledgerscope.net", false },
  { "www.logentries.com", false },
  { "www.moneybookers.com", true },
  { "www.mydigipass.com", false },
  { "www.neonisi.com", true },
  { "www.noisebridge.net", false },
  { "www.paycheckrecords.com", false },
  { "www.paypal.com", false },
  { "www.sandbox.mydigipass.com", false },
  { "www.torproject.org", true },
};
